Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class NodeExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.NodeExistsException

All Implemented Interfaces
  Serializable

    public class NodeExistsException

extends RepositoryException

Thrown if an operation on a Node that already exists occurs, such as attempting to rename a Node to the Name of a Node that already exists.

See Also
  Serialized Form

Constructor Summary
`NodeExistsException(String message)`
`NodeExistsException(String message, Throwable cause)`
`NodeExistsException(String message, Throwable cause, boolean log)`
`NodeExistsException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeExistsException

    public NodeExistsException(String message)

### NodeExistsException

    public NodeExistsException(String message,
                               Throwable cause)

### NodeExistsException

    public NodeExistsException(Throwable cause)

### NodeExistsException

    public NodeExistsException(String message,
                               Throwable cause,
                               boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved